<?php

// class written by https://wordpress.org/plugins/daves-wordpress-live-search/

// Relevanssi "bridge" plugin
class searchIO_Live_Search_Relevanssi_Bridge {

	function __construct() {
		add_action( 'searchio_live_search_alter_results', array( 'searchIO_Live_Search_Relevanssi_Bridge', 'alter_results' ) );
	}

	static function alter_results() {
		global $wp_query;
		relevanssi_do_query( $wp_query );
	}

}

if ( function_exists( 'relevanssi_do_query' ) ) {
	new searchIO_Live_Search_Relevanssi_Bridge();
}
